Bug 815830 - [WebUI] Unsaved changes dialog appers more than once in some cases
[WebUI] Unsaved changes dialog appers more than once in some cases
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
Depends On:
  Show dependency treegraph
Reported: 2012-04-24 11:43 EDT by Dmitri Pal
Modified: 2013-03-04 11:22 EST (History)
4 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 04:11:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-04-24 11:43:54 EDT
This bug is created as a clone of upstream ticket:

Problem: When navigating from dirty details page in HBAC, sudo, SELinux or netgroups to some other page with different containing entity (ie: from netgroups details page to users), dirty dialog can appear more than once if user choose 'update'.

Expected behaviour: Dirty dialog appears only once.

Cause: these facets refresh themselves after update. The callback which redirects to new page checks dirty status before refresh operation can manage to reset the dirty status.
Comment 1 Jenny Galipeau 2012-06-20 14:47:55 EDT
please add steps to reproduce and verify this issue
Comment 2 Petr Vobornik 2012-06-21 03:37:46 EDT
Steps to reproduce:

Example uses sudo rule but it is applicable also to HBAC rules, SELinux m. and netgroups. 

1) open some sudo rule
2) modify description (or do other change to make the page 'dirty')
3) click in navigation on other entity link ie. 'Identity', 'Policy/HBAC' etc.
4) click on update
Comment 3 RHEL Product and Program Management 2012-07-10 01:52:18 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 19:27:23 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Petr Vobornik 2012-09-12 03:44:43 EDT
Fixed upstream.

 * master: b4d35718a52e2649a407b95b85193f20401c346d
 * ipa-3-0: 78e0e988c5dedee8229c1c43a76d6af6a35e036f
Comment 11 errata-xmlrpc 2013-02-21 04:11:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.